Skip to main content
`Ctrl`+`K`

# SNESMultiblockSetBlockSize

Sets the block size for structured block division in a `SNESMULTIBLOCK` solver. If not set the matrix block size is used.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESMultiblockSetBlockSize(SNES snes, PetscInt bs)

Logically Collective

## Input Parameters

- snes - the solver context

- bs - the block size

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESMULTIBLOCK`, `SNESMultiblockGetSubSNES()`, `SNESMultiblockSetFields()`

## Level

intermediate

## Location

src/snes/impls/multiblock/multiblock.c

## Implementations

SNESMultiblockSetBlockSize_Default() in src/snes/impls/multiblock/multiblock.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages